// camera.cpp: implementation of the Camera class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "camera.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Camera::Camera()
{
	xPos = 0;
	yPos = 0;
	viewWidth = 200;
	viewHeight = 200;
	zNear = 1;
	zFar = 1000;
}

Camera::~Camera()
{

}

void Camera::Render()
{
	//Setup the 2D projection matrix
	glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		glOrtho(-viewWidth * 0.5f, viewWidth * 0.5f, 
			-viewHeight * 0.5f, viewHeight * 0.5f, zNear, zFar);
	glMatrixMode(GL_MODELVIEW);

	//Setup the view matrix
	glLoadIdentity();
	glTranslatef(-xPos, -yPos, -10);	//Do an inverse translation
}
