// EventHandler.h: interface for the EventHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVENTHANDLER_H__17DF3D60_2B82_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_EVENTHANDLER_H__17DF3D60_2B82_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class EventHandler  
{
public:
	virtual void OnKeyUp(int key);
	virtual void OnKeyDown(int key);
	virtual void Update();
	virtual void OnMouseDown(bool lmb, bool rmb);
	virtual void OnMouseUp(bool lmb, bool rmb);
	virtual void OnMouse(float x, float y);	//Mouse coordinates are a % from 0 to 1
	virtual void Initialize();
	virtual void OnKeys(bool keys[256]);
	virtual void Render();
	virtual void LoadLevel(int level);
	EventHandler();
	virtual ~EventHandler();

};

#endif // !defined(AFX_EVENTHANDLER_H__17DF3D60_2B82_11DA_A3AA_00C049EEF779__INCLUDED_)
