// LoadHandler.h: interface for the LoadHandler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOADHANDLER_H__8A70C7E0_44B4_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_LOADHANDLER_H__8A70C7E0_44B4_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EventHandler.h"
class LevelHandler;

class LoadHandler : public EventHandler  
{
public:
	void OnMouseUp(bool lmb, bool rmb);
	void OnMouse(float xPer, float yPer);
	int focus;
	void OnKeyDown(int key);
	void AddFile(_finddata_t& fd);
	void Render();
	struct FileInfo
	{
		string name;
		string text;
		int hp;
		int nLevel;
		int score;
		bool bText;
	};
	void Initialize();
	bool bInGame;
	bool bFiles;
	LoadHandler();
	virtual ~LoadHandler();
	LevelHandler* lvl;
	TextRenderer text;
	vector<FileInfo> slots;
	int curFile;
	Camera cam;
	Sprite upScroll;
	Sprite downScroll;
	Sprite scrollButton;
	Sprite returnButton;
	Sprite loadButton;
	Sprite bar;
};

#endif