// Pirate.h: interface for the Pirate class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PIRATE_H__65C0AE00_3E6B_11DA_A3AA_00C049EEF779__INCLUDED_)
#define AFX_PIRATE_H__65C0AE00_3E6B_11DA_A3AA_00C049EEF779__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Monster.h"

class Pirate : public Monster  
{
public:
	Texture knifeTex;
	list<Monster*>* monsters;
	void Setup();
	vector<Texture> textures;
	float attackTimer;
	float destY;
	float destX;
	int Move(float xPos, float yPos);
	int GetType();
	Pirate();
	virtual ~Pirate();

};

#endif
